Subject: Re: bug#52977: [PATCH 0/6] Update some minetest packages

From: Ludovic Courtès <[email-masked]>
Date: Tue, 11 Jan 2022 13:53:55 +0100

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op wo 05-01-2022 om 23:30 [+0100]:
>> > A TODO for the git-fetch updater:
>> >    * [ ] following redirects (to avoid mixed case -> lower case
>> > changes
>> > and .git suffixes in GitHub URLs)
>> >    * [ ] Support (let ((commit ...) (revision ...)) [...]) so more
>> > packages can be updated automatically
>> 
>> Hmm wasn’t it the reason we introduced ‘package-definition-location’?
>
> Yes, but it has been a while ago so I preferred to not overcomplicate
> the patch series more.

OK, I thought we more or less had a solution in place back then and just
missed ‘package-definition-location’.

I think we could do something along these lines:

  (edit-expression
    (location->source-properties (package-definition-location p))
    (lambda (str)
      ;; substitute commit ID in STR
      …))

But yes, let’s keep that for a subsequent patch.

Thanks,
Ludo’.